Skip to main content
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
merchant_feedback
Bulk create merchant feedback for an end user
curl --request POST \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/merchant_feedback \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "merchant": {
    "merchant_group_id": "Uber",
    "merchant_heron_id": "mrc_MBSz9m3zek29sUPKtmuftW",
    "merchant_name": "Acme Corporation",
    "merchant_url": "https://acme.com"
  },
  "transaction_heron_ids": [
    "txn_2X66vTbAhqb8eXCguEEEvH"
  ]
}
'
{
  "num_annotations": 1,
  "transaction_heron_ids": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Body

application/json

Merchant feedback for transactions. Provide either a merchant_heron_id (for known merchants) or merchant_name (for unknown merchants to be logged).

merchant
object
required
transaction_heron_ids
string[]
required

List of transaction heron IDs

Response

201 - application/json

OK

num_annotations
integer

The number of merchant annotations added

Example:

1

transaction_heron_ids
string[]

List of affected transaction heron IDs